Bug 197493 - stay conservative with package naming
stay conservative with package naming
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: caching-nameserver (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 03:02 EDT by Florian La Roche
Modified: 2013-01-09 22:58 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 12:50:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2006-07-03 03:02:19 EDT
Description of problem:

In the past many config files for bind have been part of
the rpm package caching-nameserver. This has been changed to
be now "bind-config" as sub-package of the bind src.rpm.

I think we should only change the naming if we really have to,
but otherwise stay compatibel. E.g. "caching-nameserver" is part
of our RHEL documentation and many other docus.

Can we re-consider keeping to the old naming scheme?



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-07-19 19:20:10 EDT
Yes, I'll rename the bind-config sub-package, that replaces caching-nameserver,
back to caching-nameserver for RHEL-5, to be in-line with our RHEL documentation;
but now Fedora users are used to bind-config, I think we should keep the name
the same for Fedora. Moving this bug to RHEL-5 (or trying to...)
Comment 2 Florian La Roche 2006-07-24 06:06:21 EDT
Wouldn't it be way easier to stay in sync between RHEL and FC?

regards,

Florian La Roche
Comment 3 Martin Stransky 2006-08-09 03:48:15 EDT
I'm going to turn it back, but we need to restore the caching-nameserver package
for FC6 (and for RHEL5?) first.
Comment 4 Jesse Keating 2006-08-10 10:00:05 EDT
The bind-config subpackage has a Provides: caching-nameserver, so automated
tools, such as yum (and up2date?) when prompted for:  install caching-nameserver
 will get the right tool.

Changing this yet again is getting a little silly, but I'll go along with it if
I have to.

However I would like to point out that in the past, caching-nameserver was a
standalone package, its own srpm.  Then bind-config was created as a subpackage
of bind.  Could we not just change the name of bind-config subpackage to
caching-nameserver (with appropriate Obsoletes/Provides bind-config)?  This
keeps it all in the bind package and there would be no need for "adding" a
package to the collections.
Comment 5 Martin Stransky 2006-08-10 10:06:30 EDT
(In reply to comment #4)
> However I would like to point out that in the past, caching-nameserver was a
> standalone package, its own srpm.  Then bind-config was created as a subpackage
> of bind.  Could we not just change the name of bind-config subpackage to
> caching-nameserver (with appropriate Obsoletes/Provides bind-config)?  This
> keeps it all in the bind package and there would be no need for "adding" a
> package to the collections.

Renamimg bind-config to caching-nameserver and leave it as a subpackage sounds
good to me...
Comment 6 Martin Stransky 2006-08-11 08:02:32 EDT
(In reply to comment #4)
> Could we not just change the name of bind-config subpackage to
> caching-nameserver (with appropriate Obsoletes/Provides bind-config)?  This
> keeps it all in the bind package and there would be no need for "adding" a
> package to the collections.

The updated bind-9.3.2-35 is here, could you please move it in RHEL-5?
Comment 7 Martin Stransky 2006-08-14 08:34:08 EDT
So, can anybody here mark this bug and package (bind-9.3.2-36.fc6) as a Beta
blocker?


-------- Original Message --------
Subject: Re: rpms/bind/devel bind.spec,1.118,1.119
Date: Mon, 14 Aug 2006 08:11:29 -0400
From: Jesse Keating <jkeating@redhat.com>
To: Martin Stransky <stransky@redhat.com>

On Monday 14 August 2006 07:53, Martin Stransky wrote:
> So, can I close the #197493?

It would need to be a beta blocker package and if it is, you'd have to request 
that it get pulled in to the RHEL5 Beta 
through 'release-engineering@redhat.com' using "RHEL5B1 INCLUDE: 
bind-9.3.2-36.fc6" subject line.  Please be sure it is accepted as a blocker 
bug before you ask for inclusion.

-- 
Jesse Keating
Release Engineer: Fedora
Comment 8 Florian La Roche 2006-08-15 03:44:06 EDT
I think this should be important enough to go into beta. Otherwise we start
an Obsoletes: loop where caching-nameserver obsoletes bind-config and vica versa.
(That is probably not handeled by our update tools, so should really be avoided.)

Proposing as beta-blocker. New packages are already in FC6 trees AFAIK.

regards,

Florian La Roche
Comment 9 Jay Turner 2006-08-15 07:08:31 EDT
Indeed, the package names need to be nailed down prior to B1.  If we're planning
on going out in RHEL5 GA with caching-nameserver being a subpackage of the bind
SRPM, then let's make that change now and get it into the B1 trees.
Comment 10 Florian La Roche 2006-08-15 08:37:33 EDT
comps file then also needs adjustments.

regards,

Florian La Roche
Comment 11 Nalin Dahyabhai 2006-08-15 14:29:53 EDT
I think we're okay as far as comps is concerned -- the comps files for the
various products don't mention the package by either name.
Comment 15 Daniel Riek 2006-08-16 16:02:03 EDT
I can not see any substential impact in one or the other way. We might have
documentation mentioning it, but that can be corrected. Customers might rely on
it. On the other hand we do more intrusive changes, so probably they check
before expecting something like this not to change in a major release.

I am OK with either way. Currently the package in Rawhide is called
caching-nameserver, it is not at all in Comps but gets pulled in as
"caching-nameserver" by NetworkManager. So probably leave it as it is (means
"caching-nameserver")
Comment 16 Martin Stransky 2006-08-17 05:14:32 EDT
fixed in CVS, built in bind-9.3.2-37.fc6 (with caching-nameserver as a bind
subpackage)
Comment 17 Paul Gampe 2006-08-17 12:28:52 EDT
I've raised a request to release engineering to move bind-9.3.2-37.fc6 into 
the rhel-5 beta tree:

https://engineering.redhat.com/rt3/Ticket/Display.html?id=3777
Comment 18 Tim Powers 2006-08-17 12:37:51 EDT
Done. 
Comment 19 Jay Turner 2006-08-26 08:46:40 EDT
$ pwd
/mnt/redhat/rel-eng/RHEL5-Server-20060825.1/4.91
$ find . -name "caching-nameserver*" -print
./i386/os/Server/caching-nameserver-9.3.2-37.fc6.i386.rpm
./ppc/os/Server/caching-nameserver-9.3.2-37.fc6.ppc.rpm
./s390x/os/Server/caching-nameserver-9.3.2-37.fc6.s390x.rpm
./x86_64/os/Server/caching-nameserver-9.3.2-37.fc6.x86_64.rpm
./ia64/os/Server/caching-nameserver-9.3.2-37.fc6.ia64.rpm

Note You need to log in before you can comment on or make changes to this bug.